#!/usr/bin/env perl
use 5.016;
use ZMQx::Class;
use ZMQx::Class::AnyEvent;

my $subscriber = ZMQx::Class->socket('SUB', connect=>'tcp://localhost:10001');
$subscriber->set_subscribe($ARGV[0] || '' );
my $fh = $subscriber->get_fh;

my $w = ZMQx::Class::AnyEvent->watcher( $subscriber, sub {
    while (my $message = $subscriber->receive_multipart) {
        printf("artist %s released song %s on %s\n",
            $message->[1], $message->[3], $message->[2]
        );
    }
});
AnyEvent->condvar->recv;
